<?php
if (!class_exists('UpiCRMFBIndex')) {

    class UpiCRMFBIndex {

        public function render() {
            if (isset($_GET['action'])) {
                switch ($_GET['action']) {
                    case 'save_auth':
                        $this->save_auth();
                    break;
                    case 'run_all':
                        $this->run_all();
                    break;
                    case 'run_form':
                        $this->run_form($_GET['id']);
                    break;
                    case 'disable':
                        $this->disable($_GET['id']);
                    break;
                }
            }
            

            
            $UpiCRMFB_conf = new UpiCRMFB_conf();
            $UpiCRMFB_form = new UpiCRMFB_form();
            $UpiCRMFB_get_leads = new UpiCRMFB_get_leads();
            $conf_obj = $UpiCRMFB_conf->get();

            $availtabs = array();
            //if (!empty($conf_obj[0]->fb_page_id) && !empty($conf_obj[0]->fb_access_token)) {
                $availtabs['forms'] = 'Forms';
            //}
            $availtabs['setup'] = 'Setup';
            $availtabs['help'] = 'Help';
            
            $thistab = upi_admin_tabs(
                $availtabs, array_key_first($availtabs)
            );

            if ($thistab == 'setup') {
                if (!empty($conf_obj[0]->fb_app_secret) && !empty($conf_obj[0]->fb_app_id)) {
                    if (!empty($conf_obj[0]->fb_page_id) && !empty($conf_obj[0]->fb_page_access_token)) {
                       include_once upicrmfb_template('main/login');
                    } else {
                        include_once upicrmfb_template('main/before_login');
                        include_once upicrmfb_template('main/login');
                    }
                } else {
                    include_once upicrmfb_template('main/before_login');
                }
            } else if ($thistab == 'forms') {
                include_once upicrmfb_template('main/form');
            } else if ($thistab == 'help') {
                include_once upicrmfb_template('main/help');
            } else {
                echo 'Kindly select a tab';
            }
            
            // OLD REMOVE
            /*
            include_once upicrmfb_template('main/before_login');
            if ($conf_obj[0]->fb_app_secret && $conf_obj[0]->fb_app_id) { 
                include_once upicrmfb_template('main/login');
            }
            if ($conf_obj[0]->fb_page_id && $conf_obj[0]->fb_access_token) {
                include_once upicrmfb_template('main/form');
            }
            */
        }
        
        function save_auth() {
            
            if (isset( $_POST['fb_app_secret']) && isset($_POST['fb_app_id'])) {
                $UpiCRMFB_conf = new UpiCRMFB_conf();
                $UpiCRMFB_conf->truncate();
                $arr = [
                    "fb_app_secret" => $_POST['fb_app_secret'],
                    "fb_app_id" => $_POST['fb_app_id'],
                    "fb_scope" => 'manage_pages, leads_retrieval',
                    "fb_api_version" => 'v3.3',
                ];
                $UpiCRMFB_conf->add($arr);
            }
            
        }
        
        function run_all() {
            $UpiCRMFB_get_leads = new UpiCRMFB_get_leads();
            $UpiCRMFB_get_leads->save_lead();
        }
        
        function run_form($id) {
            $UpiCRMFB_get_leads = new UpiCRMFB_get_leads();
            $UpiCRMFB_get_leads->save_lead_by_form($id);
        }
        
        function disable($fb_form_id) {
            $UpiCRMFB_form = new UpiCRMFB_form();
            $UpiCRMFB_form->update(['fb_form_status' => 0],$fb_form_id);
        }
        
       function wp_ajax_save_access_token_fb_callback() {
            global $SourceTypeID;
            $UpiCRMFB_conf = new UpiCRMFB_conf();
            $UpiCRMFB_get_leads = new UpiCRMFB_get_leads();

            $fb_access_token = $UpiCRMFB_get_leads->get_access_token();
            $UpiCRMFB_conf->truncate();
            $arr = [
                "fb_app_secret" => $UpiCRMFB_get_leads->fb_app_secret,
                "fb_app_id" => $UpiCRMFB_get_leads->fb_app_id,
                "fb_scope" => $UpiCRMFB_get_leads->fb_scope,
                "fb_api_version" => $UpiCRMFB_get_leads->fb_api_version,
                "fb_access_token" => $fb_access_token,
            ];
            $UpiCRMFB_conf->add($arr);
            
            die();
        }
        
       function wp_ajax_save_page_id_fb_callback() {
            global $SourceTypeID;
            $UpiCRMFB_conf = new UpiCRMFB_conf();
            $UpiCRMFB_get_leads = new UpiCRMFB_get_leads();
            $page_arr = $UpiCRMFB_get_leads->get_fb_id();
            //print_r($page_arr);
            $UpiCRMFB_conf->truncate();
            $arr = [
                "fb_app_secret" => $UpiCRMFB_get_leads->fb_app_secret,
                "fb_app_id" => $UpiCRMFB_get_leads->fb_app_id,
                "fb_scope" => $UpiCRMFB_get_leads->fb_scope,
                "fb_api_version" => $UpiCRMFB_get_leads->fb_api_version,
                "fb_access_token" => $UpiCRMFB_get_leads->fb_access_token,
                "fb_page_id" => $page_arr[0]['id'],
                "fb_page_access_token" => $page_arr[0]['access_token'],
            ];
            $UpiCRMFB_conf->add($arr);
            echo 1;
            die();
        }
        
        function wp_ajax_log_page_out_callback() {
            $UpiCRMFB_conf = new UpiCRMFB_conf();
            $UpiCRMFB_conf->update(
                array(
                    'fb_page_id' => '',
                    'fb_page_access_token' => '',
                ), 1
            );
            echo 1;
            die();
        }
   
    }
}

add_action( 'wp_ajax_save_access_token_fb', array(new UpiCRMFBIndex,'wp_ajax_save_access_token_fb_callback'));
add_action( 'wp_ajax_save_page_id_fb', array(new UpiCRMFBIndex,'wp_ajax_save_page_id_fb_callback'));
add_action( 'wp_ajax_log_page_out', array(new UpiCRMFBIndex,'wp_ajax_log_page_out_callback'));


?>
