<?php
function upicrmfb_setup_plugin() {
    global $wpdb;
    $charset_collate = '';

    if ( ! empty( $wpdb->charset ) ) {
      $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
    }

    if ( ! empty( $wpdb->collate ) ) {
      $charset_collate .= " COLLATE {$wpdb->collate}";
    }
    
    $sql = "CREATE TABLE IF NOT EXISTS ".upicrmfb_db()."conf (
            `fb_conf_id` INT NOT NULL AUTO_INCREMENT,
            `fb_api_version` TEXT,
            `fb_scope` TEXT,
            `fb_app_id` TEXT,
            `fb_app_secret` TEXT,
            `fb_page_id` TEXT,
            `fb_access_token` TEXT,
            `fb_page_access_token` TEXT,
            PRIMARY KEY (`fb_conf_id`)
   ) $charset_collate;";
    $wpdb->query($sql);
    
    $sql = "CREATE TABLE IF NOT EXISTS ".upicrmfb_db()."forms (
            `fb_form_id` INT NOT NULL AUTO_INCREMENT,
            `fb_id` TEXT,
            `fb_form_status` int(1) NOT NULL,
            `fb_access_token` TEXT,
            `fb_url` TEXT,
            `fb_title` TEXT,
            `fb_form_title` TEXT,
            `fb_form_start_line` INT NOT NULL,
            PRIMARY KEY (`fb_form_id`)
   ) $charset_collate;";
    $wpdb->query($sql);
    
    add_option('upicrmfb_activation_redirect', true);
}

function upicrmfb_update_db_check() {
    //global $upicrm_db_version, $wpdb;
}
?>
