<br />
<?php settings_errors(); ?>
<?php
if (!empty($conf_obj[0]->fb_page_id) && !empty($conf_obj[0]->fb_access_token)) {
?>
<br />
<div id="upicrmgs_config">
        <a href="admin.php?page=upicrm_fb&action=run_all">
            <button class="button">
                <span class="glyphicon glyphicon-play" data-callback="run"></span>
                <?php _e('Run all forms', 'upicrm_fb') ?>
            </button>
        </a>
        <form method="post" action="options.php" id="upicrmfb-cron-time-wrap">
		    <?php settings_fields( 'upicrmfb-mf-settings-group' ); ?>
		    <?php do_settings_sections( 'upicrmfb-mf-settings-group' ); ?>
            <label for="upicrmfb_cron_time">
            <strong>Cron Job - Auto Import After Every
            <select name="upicrmfb_cron_time" id="upicrmfb_cron_time" required>
                <?php for ($h=1; $h <= 24; $h++ ) {
                    echo '<option value="'.($h*60).'" '.selected(get_option('upicrmfb_cron_time', 60), ($h*60), false).'>'.$h.'</option>';
                } ?>
            </select>
            Hours &nbsp;&nbsp; </strong>
            </label>
            <?php submit_button(); ?>
        </form>
        <br />
        <br />
        <br />
        <?php
            $upifblast = get_option('upicrmfb_last_run', '');
            if ( !empty($upifblast) ) {
                echo '<p><strong>Last Run</strong>: '.$upifblast['leads'].' new leads added at '.$upifblast['time'].'</p>';
            }
            ?>
        <div id="upicrmfb_table" style="">
            <?php
            $forms_arr = $UpiCRMFB_get_leads->get_all_forms();
            $title =  __('Existing Lead Forms', 'upicrm_fb');

            $table_arr[] = [
                //__('ID', 'upicrm_fb'),
                __('Facebook Form Name', 'upicrm_fb'),
                __('Facebook Status', 'upicrm_fb'),
                __('UpiCRM Form Name', 'upicrm_fb'),
                __('UpiCRM Status', 'upicrm_fb'),
                __('Actions', 'upicrm_fb'),
            ];
            if (empty($forms_arr)) {
                $table_arr[] = [ '<span style="color: red;">No lead forms found</span>', '', '', '', ''];
            } else {
            foreach ($forms_arr as $arr) {
                $form = $UpiCRMFB_form->get_by_fb_id($arr['id']);
                
                $action = "";
                if (strtolower($arr['status']) == "active") {
                    if ($form->fb_form_id && $form->fb_form_status == 1) {
                        $action = '<a href="admin.php?page=upicrm_fb&action=disable&id='.$form->fb_form_id.'"><button class="button">
                                <span class="glyphicon glyphicon glyphicon-remove-circle" data-callback="disable"></span>
                                '.__('Disable', 'upicrm_fb').'
                            </button></a>
                            <a href="admin.php?page=upicrm_fb_map_fields&id='.$arr['id'].'">
                                <button class="button">
                                <span class="glyphicon glyphicon-edit" data-callback="map" data-lead_route_id="2"></span>
                                '.__('Edit', 'upicrm_fb').'
                            </button></a>
                            <a href="admin.php?page=upicrm_fb&action=run_form&id='.$form->fb_form_id.'"><button class="button">
                                <span class="glyphicon glyphicon glyphicon-play" data-callback="save"></span>
                                '.__('Run Now', 'upicrm_fb').'
                            </button></a>';
                    } else {
                        $action = '<a href="admin.php?page=upicrm_fb_map_fields&id='.$arr['id'].'"><button class="button">
                            <span class="glyphicon glyphicon glyphicon-ok-circle" data-callback="enable"></span>
                            '.__('Enable', 'upicrm_fb');
                    }
                }
                $table_arr[] = [
                    //$obj->gs_conf_id,
                    $arr['name'],
                    ucfirst(strtolower($arr['status'])),
                    isset($form->fb_form_title) ? $form->fb_form_title : '',
                    __(isset($form->fb_form_id) && $form->fb_form_status ? 'Active' : 'Not Active', 'upicrm_fb'),
                    $action,
                ];
            }
            }
            $UpiCRMUIBuilder = new UpiCRMUIBuilder();
            $UpiCRMUIBuilder->show_table('fb_table',$title,$table_arr);
            ?>
        </div>
</div>
<?php } else { ?>
    <div><h5 style="color: red;">No Facebook leads forms currently configured.</h5><strong>Connect with Facebook and get your leads retrieved now.</strong><br /><br /><a href="admin.php?page=upicrm_fb&upitab=setup" class="button button-primary">Click Here to Setup</a></div>
<?php } ?>

<script type="text/javascript">
    jQuery(document).ready(function ($) {
        /*$("*[data-callback='remove']").click(function () {
            if (confirm("<?php _e('Are you sure?', 'upicrm'); ?>")) {
                GetSelect = $(this);
                var data = {
                    'action': 'remove_upicrmgs_conf',
                    'conf_id': $(this).data("conf_id"),
                };
                $.post(ajaxurl, data, function (response) {
                    GetSelect.closest("tr").fadeOut();
                    console.log(response);
                });
            }
        });*/
    });
</script>