<?php
if (!empty($conf_obj[0]->fb_page_id) && !empty($conf_obj[0]->fb_access_token)) { ?>
    <h3 style="color: limegreen;">Integration done! You're all set.</h3>
    <p>If you want to detach or change Facebook account or app, you can logout below.</p>
    <br />
    <a href="#" onClick="fbLogOut()" class="upicrmfblogbutton">
        <?php _e('Logout of Facebook', 'upicrm_fb'); ?>
    </a>
<?php } else { ?>
    <br />
    <hr style="border-top: 1px solid #aaaaaa; border-bottom: 1px solid #aaaaaa; padding: 2px;">
    <br />
    <h3>Step 2: Login And Give Access to Page:</h3>
    <br />
    <a href="#" onClick="loginWithFacebook()" class="upicrmfblogbutton">
        <?php _e('Login to Facebook', 'upicrm_fb'); ?>
    </a>    
<?php } ?>

<br />
<script id="facebook-jssdk" src="//connect.facebook.net/en_US/sdk.js"></script>
<script>
    
    jQuery(function ($) {
        $(document).on("click", "#btn_get_access_token", function (e) {
            e.preventDefault();
            getAccessToken();
        });
        $(document).on("click", "#btn_subscribe_app", function (e) {
            e.preventDefault();
            subscribeAppToPage();

        });
        
    });
    

    function fbLogOut() {
        FB.init({
            appId: '<?= $UpiCRMFB_get_leads->fb_app_id ?>',
            version: '<?= $UpiCRMFB_get_leads->fb_api_version ?>',
            cookie: true,
        });
        
        FB.getLoginStatus(function(response) {
            if (response.status === 'connected') {
                FB.logout(function(response){
                    pageLogout();
                    window.location.reload();
                });
            } else {
                pageLogout();
                window.location.reload();
            }
        });
        
        
        
        //FB.logout(function(response) {
            // user is now logged out
        //});
    }


    /*logInWithFacebook = function () {     
        FB.login(function (response) {
            if (response.authResponse) {
                fbLoginSuccessCallback();
            } else {
                $("#step1").html('NOT OK: User cancelled login or did not fully authorize.');
            }
        }, {scope: scope});
        return false;
    };*/
    
    window.loginWithFacebook = function () {
        FB.init({
            appId: '<?= $UpiCRMFB_get_leads->fb_app_id ?>',
            version: '<?= $UpiCRMFB_get_leads->fb_api_version ?>',
            cookie: true,
        });

        FB.getLoginStatus(function (response) {
            //console.log(response);
            if (response.status != "connected") {
                loggedIn();
            } 
            else {
                getSubscribedApps();
                //console.log("Roi: Already connected")
            }
        });
    };

    /*function fbLoginSuccessCallback() {
        loggedIn();
        getAccessToken();
        getSubscribedApps();
    }
    
    function loggedIn() {        
        console.log("Roi: Login");
        getAccessToken();
    }*/
    
    function loggedIn() {        
        FB.init({
            appId: '<?= $UpiCRMFB_get_leads->fb_app_id ?>',
            version: '<?= $UpiCRMFB_get_leads->fb_api_version ?>',
            cookie: true,

        });
        
       FB.login(function(response) {
           getAccessToken();
      }, {scope: '<?= $UpiCRMFB_get_leads->fb_scope ?>'});
    }
    
    function pageLogout() {
        var data = {
            'action': 'log_page_out',
        };
        jQuery.post(ajaxurl, data, function (response) {
            //console.log(response);
        });
    }
    
    function getAccessToken() {
    //console.log('getAccessToken');
        var data = {
            'action': 'save_access_token_fb',
        };
        jQuery.post(ajaxurl, data, function (response) {
            getSubscribedApps();
        });
    }
    
    function getSubscribedApps() {
        var data = {
            'action': 'save_page_id_fb',
        };
        jQuery.post(ajaxurl, data, function (response) {
            //console.log(response);
            setTimeout(function() { window.location.reload(); }, 1800);
        });

    }
    
    
    /*function getAccessToken() {
        jQuery.ajax({
            url: "get_fb_access_token.php?" + getConfigParams(),
            action: "getpermaccess",
            type: "POST",
            success: function (response) {
                console.log("get_fb_access_token response", response);
                $("#step2").html("OK: Access Token: " + response.access_token);
            }
        });
    }*/

    /*function getSubscribedApps() {
        jQuery.ajax({
            url: "get_fb_page_subscribed_apps.php?" + getConfigParams(),
            action: "getsubs",
            type: "POST",
            success: function (response) {
                console.log("get_fb_page_subscribed_apps response", response);
                if (0 == response.subscribed_apps.length) {
                    $("#step3").html("NOT OK: <a href=\"#\" id=\"btn_subscribe_app\">Subscribe App " + appid + " to Page " + pageid + "</a>");
                } else {
                    var app_found = false;
                    $.each(response.subscribed_apps, function (k, v) {
                        if (v.id == appid) {
                            app_found = true;
                            return false;
                        }
                    });
                    if (false == app_found) {
                        $("#step3").html("NOT OK: Page " + pageid + " is subscribed to " + response.subscribed_apps.length + " apps but not to App " + appid + " :( <a href=\"#\" id=\"btn_subscribe_app\">Click here to Subscribe App " + appid + " to Page " + pageid + "</a>");
                    } else {
                        $("#step3").html("OK: App " + appid + " is subscribed to Page " + pageid);
                    }

                    if (response.page_access_token !== undefined)
                    {
                        $("#step4").html("OK: Page Access Token: " + response.page_access_token);
                    }


                }
            }
        });
    }*/

    function subscribeAppToPage() {
        jQuery.ajax({
            url: "subscribe_app_to_page.php?" + getConfigParams(),
            action: "subto",
            type: "POST",
            success: function (response) {
                //console.log("subscribe_app_to_page response", response);
                getSubscribedApps();
            }
        });
    }

</script>