<?php
if (!class_exists('UpiCRMAFBMapFields')) {

    class UpiCRMAFBMapFields {

        public function render() {
            global $SourceTypeID;
            if (isset($_POST['action'])) {
                switch ($_POST['action']) {
                    case 'save':
                        $this->save();
                    break;
                }
            }
            $UpiCRMFB_form = new UpiCRMFB_form();
            $UpiCRMFB_get_leads = new UpiCRMFB_get_leads();
            $fb_id = $_GET['id'];
            $form = $UpiCRMFB_form->get_by_fb_id($fb_id);
            //print_r($form); die(); // for dev
            include_once upicrmfb_template('map_fields/active_form');
            if (!empty($form->fb_form_title)) {
                include_once upicrmfb_template('map_fields/map');
            } else {
                echo '<br /><p>Please set a <strong>Name</strong> for the form to use it...</p>';
            }
        }
        
        function save() {
            $UpiCRMFB_form = new UpiCRMFB_form();
            $fb_id = $_GET['id'];
            $form = $UpiCRMFB_form->get_by_fb_id($fb_id);
            
            $arr['fb_id'] = $fb_id;
            $arr['fb_form_title'] = $_POST['fb_form_title'];
            $arr['fb_form_status'] = $_POST['fb_form_status'];
            if (isset($form->fb_form_id)) {
                //update
                $UpiCRMFB_form->update($arr,$form->fb_form_id);
            } else {
                //insert
                $UpiCRMFB_form->add($arr);
            }
            //echo $fb_id;
        }
        
       function wp_ajax_save_field_mapping_fb_callback() {
            global $SourceTypeID;
            echo 1;
            $UpiCRMFieldsMapping = new UpiCRMFieldsMapping();
            if (!$UpiCRMFieldsMapping->is_exists($_POST['field_id'], $_POST['source_id'], $SourceTypeID['fb_lead'])) {
                echo $UpiCRMFieldsMapping->add_or_update($_POST['fm_id'],$_POST['field_id'], $_POST['fm_name'], $_POST['source_id'], $SourceTypeID['fb_lead']);
            }
            else {
                echo 0;
            }
            die();
        }
        
        function wp_ajax_reset_field_mapping_fb_callback() {
            global $SourceTypeID;
            $UpiCRMFieldsMapping = new UpiCRMFieldsMapping();
            $UpiCRMFieldsMapping->empty_form_by_id($SourceTypeID['fb_lead'], $_POST['source_id']);
            echo 1;
            die();
        }
   
    }
}
add_action( 'wp_ajax_save_field_mapping_fb', array(new UpiCRMAFBMapFields,'wp_ajax_save_field_mapping_fb_callback'));
add_action( 'wp_ajax_reset_field_mapping_fb', array(new UpiCRMAFBMapFields,'wp_ajax_reset_field_mapping_fb_callback'));
?>
