<?php

if (!class_exists('UpiCRMFB_conf')) {

    class UpiCRMFB_conf {
        var $wpdb;

        public function __construct() {
            global $wpdb;
            $this->wpdb = &$wpdb;
            $this->table = upicrmfb_db().'conf';
        }

        function add($insertArr) {
            $this->wpdb->insert(upicrmfb_db()."conf", $insertArr);
        }
        
        function update($updateArr, $id) {
            $this->wpdb->update($this->table, $updateArr , array("fb_conf_id" => $id));
        }
        
        function get($order_type = "DESC") {
            $rows = $this->wpdb->get_results("SELECT * FROM " .$this->table. " ORDER BY fb_conf_id $order_type");
            return $rows;
        }
        
        function get_by_id($id) {
            $query = "SELECT * FROM " .$this->table.' WHERE `fb_conf_id`='.$id;
            $rows = $this->wpdb->get_results($query);
            return $rows ? $rows[0] : false;
        }
        
        function delete($id) {
            $this->wpdb->delete($this->table, array("fb_conf_id" => $id));
        }
        
        function truncate() {
            $this->wpdb->query('TRUNCATE TABLE '.upicrmfb_db().'conf');
        }
    }

}