<?php

if (!class_exists('UpiCRMFB_form')) {

    class UpiCRMFB_form {
        var $wpdb;

        public function __construct() {
            global $wpdb;
            $this->wpdb = &$wpdb;
            $this->table = upicrmfb_db().'forms';
        }

        function add($insertArr) {
            $this->wpdb->insert($this->table, $insertArr);
            //echo $this->wpdb->last_error;
        }
        
        function update($updateArr, $id) {
            $this->wpdb->update($this->table, $updateArr , array("fb_form_id" => $id));
        }
        
        function get($order_type = "DESC") {
            $rows = $this->wpdb->get_results("SELECT * FROM " .$this->table. " ORDER BY fb_form_id $order_type");
            return $rows;
        }
        
        function get_by_id($id) {
            $query = "SELECT * FROM " .$this->table.' WHERE `fb_form_id`='.$id;
            $rows = $this->wpdb->get_results($query);
            return $rows ? $rows[0] : false;
        }
        
        function get_by_fb_id($id) {
            $query = "SELECT * FROM " .$this->table.' WHERE `fb_id`='.$id;
            $rows = $this->wpdb->get_results($query);
            return $rows ? $rows[0] : false;
        }
        
        function delete($id) {
            $this->wpdb->delete($this->table, array("fb_form_id" => $id));
        }

    }

}