<?php
if (!function_exists( 'upicrmfb_template' )) {
    function upicrmfb_template($template) {
         return trailingslashit(dirname(__FILE__)) . "template/{$template}_template.php";
    }
}

if (!function_exists( 'upi_admin_tabs' )) {
    function upi_admin_tabs($arr, $def = '', $page = '') {
        $page = ( !empty($page) ) ? $page : $_GET["page"];
        $current = ( isset($_GET["upitab"]) ) ? $_GET["upitab"] : $def ;
        echo '<div class="upi-admin-tabs">';
        foreach($arr as $i => $t) {
            $exclass = ($current == $i) ? ' active' : '' ;
            echo '<a href="?page='.$page.'&upitab='.$i.'" class="upi-admin-tab tab-'.$page.$exclass.'">'.$t.'</a>';
        }
        echo '</div>';
        return $current;
    }
}

if (!function_exists('array_key_first')) {
    function array_key_first(array $arr) {
        foreach($arr as $key => $unused) {
            return $key;
        }
        return NULL;
    }
}

if (!function_exists( 'upicrmfb_success_count_notice' )) {
    function upicrmfb_success_count_notice($c) {
        update_option('upicrmfb_last_run', array(
                'time'  => date("Y-m-d h:i:sa"),
                'leads' => $c,
            ));
        ?>
            <div class="notice notice-success is-dismissible">
                <p><?php _e( $c.' New Leads Added!', 'upicrm_fb' ); ?></p>
            </div>
            <br />
        <?php
    }
}
?>